<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-testing.qdoc -->
  <title>Testing | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Testing</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-build-process-customizing.html" />
  <link rel="next" href="creator-debugging.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-build-process-customizing.html">Customizing the Build Process</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-debugging.html">Debugging</a>
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Testing</h1>
<span class="subtitle"></span>
<!-- $$$creator-testing.html-description -->
<div class="descr"> <a name="details"></a>
<p class="centerAlign"><img src="images/creator_testing.png" alt="" /></p><ul>
<li><a href="creator-debugging.html">Debugging</a><p>If you install Qt Creator as part of Qt, the GNU Symbolic Debugger is installed automatically and you should be ready to start debugging after you create a new project. However, you can change the setup to use debugging tools for Windows, for example. You can connect <a href="creator-glossary.html#glossary-device">devices</a> to your development host and debug processes running on the devices.</p>
</li>
<li><a href="creator-analyze-mode.html">Analyzing Code</a><p>Qt Creator integrates Valgrind code analysis tools for detecting memory leaks and profiling function execution. You must download and install them separately to use them from Qt Creator. The QML Profiler is installed as part of Qt Creator. It enables you to profile your Qt Quick applications.</p>
</li>
<li><a href="creator-autotest.html">Running Autotests</a><p>You can create, build and run Qt tests, Qt Quick tests, Google tests, and Boost tests using Qt Creator.</p>
</li>
</ul>
</div>
<!-- @@@creator-testing.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-build-process-customizing.html">Customizing the Build Process</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-debugging.html">Debugging</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
